## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate alsa-sys

Name:           rust-alsa-sys
Version:        0.3.1
Release:        %autorelease
Summary:        FFI bindings for the ALSA project (Advanced Linux Sound Architecture)

License:        MIT
URL:            https://crates.io/crates/alsa-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * skip doctests: https://github.com/diwic/alsa-sys/commit/3a6d3b26bdc21ac74a0ba6e4a637decf20da0a39
Patch:          alsa-sys-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
FFI bindings for the ALSA project (Advanced Linux Sound Architecture).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(alsa)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(alsa)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jul 25 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.1-8
- Regenerate with rust2rpm 24; Fixes: RHBZ#2224956

* Fri Jun 25 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.3.1-1
- Initial package

